Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.apps.groupspace.content
Enum CommunityContent.Visibility

    java.lang.Object
      java.lang.Enum<CommunityContent.Visibility>
          com.bea.apps.groupspace.content.CommunityContent.Visibility

All Implemented Interfaces
  Serializable, Comparable<CommunityContent.Visibility>

Enclosing class:
  CommunityContent

    public static enum CommunityContent.Visibility

extends Enum<CommunityContent.Visibility>

Enum Constant Summary
`COMMUNITY`
`PERSONAL`
`PRIVATE`

Method Summary
`static CommunityContent.Visibility` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CommunityContent.Visibility[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMMUNITY

    public static final CommunityContent.Visibility COMMUNITY

### PRIVATE

    public static final CommunityContent.Visibility PRIVATE

### PERSONAL

    public static final CommunityContent.Visibility PERSONAL

Method Detail

### values

    public static final CommunityContent.Visibility[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static CommunityContent.Visibility valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved